Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BroadCastStatusHandler Class Reference

Main class. More...

`#include <BroadCastStatusHandler.h>`

Inheritance diagram for BroadCastStatusHandler:

[legend]
Collaboration diagram for BroadCastStatusHandler:

[legend]
List of all members.

## Public Member Functions
| BroadCastStatusHandler ()
| ~BroadCastStatusHandler ()
void | initBroadCastStatusHandler ()
void | sendStatusPackage ()
## Public Attributes
DebugDataControlerBase * | thePackage [DebugDataControlerBase::nrOfDebugTypes]

## Detailed Description

Main class.

Definition at line 215 of file BroadCastStatusHandler.h.

## Constructor & Destructor Documentation

BroadCastStatusHandler::BroadCastStatusHandler | ( |  | ) |

| Definition at line 10 of file BroadCastStatusHandler.cpp. References thePackage.

BroadCastStatusHandler::~BroadCastStatusHandler | ( |  | ) |

| Definition at line 21 of file BroadCastStatusHandler.cpp. References thePackage.

## Member Function Documentation

void BroadCastStatusHandler::initBroadCastStatusHandler | ( |  | ) |

| Definition at line 60 of file BroadCastStatusHandler.cpp. References UDPEndpoint::bind(), endl(), and STATUSBROADCASTPORT.

Here is the call graph for this function:

void BroadCastStatusHandler::sendStatusPackage | ( |  | ) |

| Definition at line 30 of file BroadCastStatusHandler.cpp. References DebugDataControlerBase::getHeaderSize(), DebugDataControlerBase::getSize(), UDPEndpoint::send(), STATUSBROADCASTPORT, thePackage, and DebugDataControlerBase::write().

Here is the call graph for this function:

## Member Data Documentation

DebugDataControlerBase* BroadCastStatusHandler::thePackage[DebugDataControlerBase::nrOfDebugTypes]

| Definition at line 222 of file BroadCastStatusHandler.h. Referenced by BroadCastStatusHandler(), sendStatusPackage(), and ~BroadCastStatusHandler().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/BroadCastStatusHandler.h
- Platform/Aperios1.3.2/BroadCastStatusHandler.cpp